<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
          <groupId>org.xyzh</groupId>
          <artifactId>school-news</artifactId>
          <version>${school-news.version}</version>
    </parent>

    <groupId>org.xyzh</groupId>
    <artifactId>api</artifactId>
    <version>${school-news.version}</version>
    <packaging>pom</packaging>
    <modules>
        <module>api-all</module>
        <module>api-auth</module>
        <module>api-system</module>
        <module>api-usercenter</module>
        <module>api-ai</module>
        <module>api-study</module>
        <module>api-news</module>
        <module>api-file</module>
    </modules>

    <properties>
        <maven.compiler.source>21</maven.compiler.source>
        <maven.compiler.target>21</maven.compiler.target>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.xyzh</groupId>
                <artifactId>api-all</artifactId>
                <version>${school-news.version}</version>
            </dependency>
            <dependency>
                <groupId>org.xyzh</groupId>
                <artifactId>api-auth</artifactId>
                <version>${school-news.version}</version>
            </dependency>
            <dependency>
                <groupId>org.xyzh</groupId>
                <artifactId>api-system</artifactId>
                <version>${school-news.version}</version>
            </dependency>
            <dependency>
                <groupId>org.xyzh</groupId>
                <artifactId>api-course</artifactId>
                <version>${school-news.version}</version>
            </dependency>
            <dependency>
                <groupId>org.xyzh</groupId>
                <artifactId>api-study</artifactId>
                <version>${school-news.version}</version>
            </dependency>
            <dependency>
                <groupId>org.xyzh</groupId>
                <artifactId>api-usercenter</artifactId>
                <version>${school-news.version}</version>
            </dependency>
            <dependency>
                <groupId>org.xyzh</groupId>
                <artifactId>api-ai</artifactId>
                <version>${school-news.version}</version>
            </dependency>
            <dependency>
                <groupId>org.xyzh</groupId>
                <artifactId>api-news</artifactId>
                <version>${school-news.version}</version>
            </dependency>

        </dependencies>
    </dependencyManagement>
    <dependencies>
        <dependency>
            <groupId>org.xyzh</groupId>
            <artifactId>common-core</artifactId>
            <version>${school-news.version}</version>
        </dependency>
        <dependency>
            <groupId>org.xyzh</groupId>
            <artifactId>common-dto</artifactId>
            <version>${school-news.version}</version>
        </dependency>
    </dependencies>


</project>